edu.cmu.pslc.logging.element

## Class InterpretationElement

- java.lang.Object
- - edu.cmu.pslc.logging.element.InterpretationElement

-     public class InterpretationElement
      extends java.lang.Object

  InterpretationElement.
  Version:
    $Revision: 8633 $
    Last modified by: $Author: alida $
    Last modified on: $Date: 2013-02-01 10:09:57 -0500 (Fri, 01 Feb 2013) $
  Author:
    Alida Skogsholm

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterpretationElement(java.lang.Boolean chosenFlag, StepSequenceElement correctStepSequence)` Constructor.
    `InterpretationElement(java.lang.Boolean chosenFlag, StepSequenceElement correctStepSequence, StepSequenceElement incorrectStepSequence)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getChosenFlag()` Gets chosenFlag.
    `StepSequenceElement` | `getCorrectStepSequence()` Gets correctStepSequence.
    `StepSequenceElement` | `getIncorrectStepSequence()` Gets incorrectStepSequence.
    `void` | `setChosenFlag(java.lang.Boolean chosenFlag)` Sets chosenFlag.
    `void` | `setCorrectStepSequence(StepSequenceElement correctStepSequence)` Sets correctStepSequence.
    `void` | `setIncorrectStepSequence(StepSequenceElement incorrectStepSequence)` Sets incorrectStepSequence.
    `java.lang.String` | `toString()` Returns the xml version of the object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InterpretationElement

          public InterpretationElement(java.lang.Boolean chosenFlag,
                               StepSequenceElement correctStepSequence,
                               StepSequenceElement incorrectStepSequence)

      Constructor.
      Parameters:
        `chosenFlag` - chosenFlag
        `correctStepSequence` - correctStepSequence
        `incorrectStepSequence` - incorrectStepSequence

    - #### InterpretationElement

          public InterpretationElement(java.lang.Boolean chosenFlag,
                               StepSequenceElement correctStepSequence)

      Constructor.
      Parameters:
        `chosenFlag` - chosenFlag
        `correctStepSequence` - correctStepSequence

  - ### Method Detail

    - #### getChosenFlag

          public java.lang.Boolean getChosenFlag()

      Gets chosenFlag.
      Returns:
        chosenFlag

    - #### setChosenFlag

          public void setChosenFlag(java.lang.Boolean chosenFlag)

      Sets chosenFlag.
      Parameters:
        `chosenFlag` - chosenFlag

    - #### getCorrectStepSequence

          public StepSequenceElement getCorrectStepSequence()

      Gets correctStepSequence.
      Returns:
        correctStepSequence

    - #### setCorrectStepSequence

          public void setCorrectStepSequence(StepSequenceElement correctStepSequence)

      Sets correctStepSequence.
      Parameters:
        `correctStepSequence` - correctStepSequence

    - #### getIncorrectStepSequence

          public StepSequenceElement getIncorrectStepSequence()

      Gets incorrectStepSequence.
      Returns:
        incorrectStepSequence

    - #### setIncorrectStepSequence

          public void setIncorrectStepSequence(StepSequenceElement incorrectStepSequence)

      Sets incorrectStepSequence.
      Parameters:
        `incorrectStepSequence` - incorrectStepSequence

    - #### toString

          public java.lang.String toString()

      Returns the xml version of the object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        xml version of the object

Copyright (c) 2015 - Pittsburgh Science of Learning Center